<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>/home/tylerwbrown/Code/Personal/magical-joe-haskell/src/Add.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span><a class=annot href="#"><span class=annottext>GHC.Types.Module</span><span class='hs-keyword'>module</span></a> <span class='hs-conid'>Add</span> <span class='hs-keyword'>where</span>
<span class=hs-linenum> 2: </span>
<span class=hs-linenum> 3: </span><span class='hs-keyword'>{-@</span> <span class='hs-keyword'>type</span> <span class='hs-conid'>NonEmpty</span> <span class='hs-varid'>a</span> <span class='hs-keyglyph'>=</span> <span class='hs-layout'>{</span><span class='hs-varid'>v</span><span class='hs-conop'>:</span><span class='hs-keyglyph'>[</span><span class='hs-varid'>a</span><span class='hs-keyglyph'>]</span> <span class='hs-keyglyph'>|</span> <span class='hs-varid'>len</span> <span class='hs-varid'>v</span> <span class='hs-varop'>&gt;=</span> <span class='hs-num'>0</span> <span class='hs-layout'>}</span> <span class='hs-keyword'>@-}</span>
<span class=hs-linenum> 4: </span>
<span class=hs-linenum> 5: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Digit</span> <span class='hs-keyglyph'>=</span> 
<span class=hs-linenum> 6: </span>  <span class='hs-conid'>Zero</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>One</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Two</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Three</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Four</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Five</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Six</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Seven</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Eight</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Nine</span> 
<span class=hs-linenum> 7: </span>  <span class='hs-keyword'>deriving</span> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>(GHC.Classes.Eq Add.Digit)</span><span class='hs-conid'>Eq</span></a><span class='hs-layout'>,</span> <a class=annot href="#"><span class=annottext>(GHC.Classes.Ord Add.Digit)</span><span class='hs-conid'>Ord</span></a><span class='hs-layout'>,</span> <span class=hs-error><a class=annot href="#"><span class=annottext>(GHC.Enum.Enum Add.Digit)</span><span class='hs-conid'>Enum</span></a></span><span class='hs-layout'>,</span> <a class=annot href="#"><span class=annottext>(GHC.Show.Show Add.Digit)</span><span class='hs-conid'>Show</span></a><span class='hs-layout'>)</span>
<span class=hs-linenum> 8: </span>
<span class=hs-linenum> 9: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##3097:t -&gt; lq_tmp$x##3098:(lq_tmp$x##3096:t -&gt; t) -&gt; t</span><span class='hs-layout'>(</span></a><span class='hs-varop'>|&gt;</span><span class='hs-layout'>)</span> <a class=annot href="#"><span class=annottext>t</span><span class='hs-varid'>x</span></a> <a class=annot href="#"><span class=annottext>lq_tmp$x##3096:t -&gt; t</span><span class='hs-varid'>f</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##3103 : lq_tmp$x##3104:t -&gt; t | lq_tmp$x##3103 == f##a1Js}</span><span class='hs-varid'>f</span></a> <span class='hs-varid'>x</span>
<span class=hs-linenum>10: </span>
<span class=hs-linenum>11: </span>
<span class=hs-linenum>12: </span><span class='hs-keyword'>{-@</span> <span class='hs-varid'>add</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>NonEmpty</span> <span class='hs-conid'>Digit</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-conid'>NonEmpty</span> <span class='hs-conid'>Digit</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-keyglyph'>[</span><span class='hs-conid'>Digit</span><span class='hs-keyglyph'>]</span> <span class='hs-keyword'>@-}</span>
<span class=hs-linenum>13: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##6909:{lq_tmp$x##15 : [Add.Digit] | len lq_tmp$x##15 &gt;= 0} -&gt; lq_tmp$x##6910:{lq_tmp$x##15 : [Add.Digit] | len lq_tmp$x##15 &gt;= 0} -&gt; [Add.Digit]</span><span class='hs-definition'>add</span></a> <span class='hs-conid'>[]</span> <span class='hs-conid'>[]</span> <span class='hs-keyglyph'>=</span> <span class='hs-keyglyph'>[</span><span class='hs-conid'>Zero</span><span class='hs-keyglyph'>]</span>
<span class=hs-linenum>14: </span><span class='hs-definition'>add</span> <span class='hs-varid'>xs</span> <span class='hs-conid'>[]</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>xs</span>
<span class=hs-linenum>15: </span><span class='hs-definition'>add</span> <span class='hs-conid'>[]</span> <span class='hs-varid'>ys</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>ys</span>
<span class=hs-linenum>16: </span><span class='hs-definition'>add</span> <span class='hs-varid'>xs</span> <span class='hs-varid'>ys</span>
<span class=hs-linenum>17: </span>  <span class='hs-keyglyph'>|</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##7519:(lq_tmp$x##7517:{lq_tmp$x##7529 : Add.Digit^"lq_tmp$x##7528" "lq_tmp$x##239" | $k_##7527[VV##7526:=lq_tmp$x##7529][lq_tmp$x##7518:=Data.Foldable.$36$fFoldable$91$$93$]} -&gt; GHC.Types.Bool) -&gt; lq_tmp$x##7520:[{lq_tmp$x##7529 : Add.Digit^"lq_tmp$x##7528" "lq_tmp$x##243" | $k_##7527[VV##7526:=lq_tmp$x##7529][lq_tmp$x##7518:=Data.Foldable.$36$fFoldable$91$$93$]}] -&gt; GHC.Types.Bool</span><span class='hs-varid'>all</span></a> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>(GHC.Classes.Eq Add.Digit)</span><span class='hs-varop'>==</span></a> <span class='hs-conid'>Zero</span><span class='hs-layout'>)</span> <span class='hs-varid'>ys</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>xs</span>
<span class=hs-linenum>18: </span>  <span class='hs-keyglyph'>|</span> <span class='hs-varid'>otherwise</span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##6909:{lq_tmp$x##15 : [Add.Digit] | len lq_tmp$x##15 &gt;= 0} -&gt; lq_tmp$x##6910:{lq_tmp$x##15 : [Add.Digit] | len lq_tmp$x##15 &gt;= 0} -&gt; [Add.Digit]</span><span class='hs-varid'>add</span></a> <span class='hs-layout'>(</span><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##7560 : lq_tmp$x##7562:[Add.Digit] -&gt; [Add.Digit] | lq_tmp$x##7560 == Add.successor}</span><span class='hs-varid'>successor</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>xs</span></span><span class='hs-layout'>)</span> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>{lq_tmp$x##7579 : lq_tmp$x##7581:[Add.Digit] -&gt; [Add.Digit] | lq_tmp$x##7579 == Add.predecessor}</span><span class='hs-varid'>predecessor</span></a> <span class='hs-varid'>ys</span><span class='hs-layout'>)</span>
<span class=hs-linenum>19: </span>
<span class=hs-linenum>20: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##6795:[Add.Digit] -&gt; [Add.Digit]</span><span class='hs-definition'>successor</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##6829 : lq_tmp$x##6832:Add.Digit -&gt; lq_tmp$x##6833:Add.Digit -&gt; lq_tmp$x##6834:Add.Digit -&gt; lq_tmp$x##6835:(lq_tmp$x##6830:Add.Digit -&gt; Add.Digit) -&gt; lq_tmp$x##6836:[Add.Digit] -&gt; [Add.Digit] | lq_tmp$x##6829 == Add.move}</span><span class='hs-varid'>move</span></a> <span class='hs-conid'>One</span> <span class='hs-conid'>Zero</span> <span class='hs-conid'>Nine</span> <span class='hs-varid'>succ</span>
<span class=hs-linenum>21: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##6848:[Add.Digit] -&gt; [Add.Digit]</span><span class='hs-definition'>predecessor</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##6882 : lq_tmp$x##6885:Add.Digit -&gt; lq_tmp$x##6886:Add.Digit -&gt; lq_tmp$x##6887:Add.Digit -&gt; lq_tmp$x##6888:(lq_tmp$x##6883:Add.Digit -&gt; Add.Digit) -&gt; lq_tmp$x##6889:[Add.Digit] -&gt; [Add.Digit] | lq_tmp$x##6882 == Add.move}</span><span class='hs-varid'>move</span></a> <span class='hs-conid'>Zero</span> <span class='hs-conid'>Nine</span> <span class='hs-conid'>Zero</span> <span class='hs-varid'>pred</span>
<span class=hs-linenum>22: </span>
<span class=hs-linenum>23: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##3112:Add.Digit -&gt; lq_tmp$x##3113:Add.Digit -&gt; lq_tmp$x##3114:Add.Digit -&gt; lq_tmp$x##3115:(lq_tmp$x##3110:Add.Digit -&gt; Add.Digit) -&gt; lq_tmp$x##3116:[Add.Digit] -&gt; [Add.Digit]</span><span class='hs-definition'>move</span></a> <a class=annot href="#"><span class=annottext>Add.Digit</span><span class='hs-varid'>emptyNum</span></a> <a class=annot href="#"><span class=annottext>Add.Digit</span><span class='hs-varid'>min</span></a> <a class=annot href="#"><span class=annottext>Add.Digit</span><span class='hs-varid'>max</span></a> <a class=annot href="#"><span class=annottext>lq_tmp$x##3110:Add.Digit -&gt; Add.Digit</span><span class='hs-varid'>change</span></a> <a class=annot href="#"><span class=annottext>[Add.Digit]</span><span class='hs-varid'>digits</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##4060:[{lq_tmp$x##4066 : Add.Digit^"lq_tmp$x##4065" | $k_##4064[lq_tmp$x##4059:=lq_anf$##7205759403792805116##d2ZK][VV##4063:=lq_tmp$x##4066]}] -&gt; {lq_tmp$x##4054 : [{lq_tmp$x##4066 : Add.Digit^"lq_tmp$x##4065" | $k_##4064[lq_tmp$x##4059:=lq_anf$##7205759403792805116##d2ZK][VV##4063:=lq_tmp$x##4066]}] | len lq_tmp$x##4054 &lt;= len lq_tmp$x##4060}</span><span class='hs-varid'>dropWhile</span></a> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>(GHC.Classes.Eq Add.Digit)</span><span class='hs-varop'>==</span></a> <span class='hs-conid'>Zero</span><span class='hs-layout'>)</span> <span class='hs-varop'>$</span> <span class='hs-keyword'>case</span> <span class='hs-varid'>start</span> <span class='hs-keyword'>of</span>
<span class=hs-linenum>24: </span>  <span class='hs-conid'>[]</span> <span class='hs-keyglyph'>-&gt;</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##4127 : [{lq_tmp$x##4138 : Add.Digit^"lq_tmp$x##4137" | $k_##4136[VV##4135:=lq_tmp$x##4138][lq_tmp$x##4131:=emptyNum##a20L][lq_tmp$x##4132:=lq_anf$##7205759403792805119##d2ZN]}] | len lq_tmp$x##4127 == 1 + len lq_anf$##7205759403792805119##d2ZN
                                                                                                                                                                                              &amp;&amp; tail lq_tmp$x##4127 == lq_anf$##7205759403792805119##d2ZN
                                                                                                                                                                                              &amp;&amp; head lq_tmp$x##4127 == emptyNum##a20L}</span><span class='hs-keyglyph'>[</span></a><span class='hs-varid'>emptyNum</span><span class='hs-keyglyph'>]</span> <span class='hs-varop'>++</span> <span class='hs-varid'>end</span>
<span class=hs-linenum>25: </span>  <span class='hs-layout'>(</span><span class='hs-varid'>x</span><span class='hs-conop'>:</span><span class='hs-varid'>xs</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>-&gt;</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##4309 : [{lq_tmp$x##4322 : Add.Digit^"lq_tmp$x##4321" | $k_##4320[lq_tmp$x##4314:=lq_anf$##7205759403792805124##d2ZS][lq_tmp$x##4315:=end##a2BA][VV##4319:=lq_tmp$x##4322]}] | len lq_tmp$x##4309 == len lq_anf$##7205759403792805124##d2ZS + len end##a2BA}</span><span class='hs-layout'>(</span></a><a class=annot href="#"><span class=annottext>{lq_tmp$x##4229 : [{lq_tmp$x##4238 : Add.Digit^"lq_tmp$x##4237" | $k_##4236[lq_tmp$x##4232:=xs##a242][VV##4235:=lq_tmp$x##4238]}] | len lq_tmp$x##4229 == len xs##a242}</span><span class='hs-varid'>reverse</span></a> <span class='hs-varid'>xs</span><span class='hs-layout'>)</span> <span class='hs-varop'>++</span> <span class='hs-keyglyph'>[</span><a class=annot href="#"><span class=annottext>{lq_tmp$x##4247 : lq_tmp$x##4248:Add.Digit -&gt; Add.Digit | lq_tmp$x##4247 == change##a20O}</span><span class='hs-varid'>change</span></a> <span class='hs-varid'>x</span><span class='hs-keyglyph'>]</span> <span class='hs-varop'>++</span> <span class='hs-varid'>end</span>
<span class=hs-linenum>26: </span>  <span class='hs-keyword'>where</span>
<span class=hs-linenum>27: </span>    <a class=annot href="#"><span class=annottext>check##a20T:(lq_tmp$x##3124:{VV##3125 : a^"lq_tmp$x##3127" | $k_##3126} -&gt; {VV##3128 : GHC.Types.Bool^"lq_tmp$x##3130" | $k_##3129}) -&gt; xs##a20U:{VV##3139 : [{VV##3132 : a^"lq_tmp$x##3134" | $k_##3133}]^"lq_tmp$x##3141" | $k_##3140} -&gt; {VV##3174 : ({VV##3150 : [{VV##3143 : a^"lq_tmp$x##3145" | $k_##3144}]^"lq_tmp$x##3152" | $k_##3151}, {VV##3160 : [{VV##3153 : a^"lq_tmp$x##3155" | $k_##3154}]^"lq_tmp$x##3162" | $k_##3161})^"lq_tmp$x##3176" | $k_##3175}</span><span class='hs-varid'>takeAndDrop</span></a> <a class=annot href="#"><span class=annottext>lq_tmp$x##3124:{VV##3125 : a^"lq_tmp$x##3127" | $k_##3126} -&gt; {VV##3128 : GHC.Types.Bool^"lq_tmp$x##3130" | $k_##3129}</span><span class='hs-varid'>check</span></a> <a class=annot href="#"><span class=annottext>{VV##3139 : [{VV##3132 : a^"lq_tmp$x##3134" | $k_##3133}]^"lq_tmp$x##3141" | $k_##3140}</span><span class='hs-varid'>xs</span></a> <span class='hs-keyglyph'>=</span> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>lq_tmp$x##3193:[{lq_tmp$x##3199 : a^"lq_tmp$x##3198" | $k_##3197[lq_tmp$x##3192:=check##a20T][VV##3196:=lq_tmp$x##3199]}] -&gt; {lq_tmp$x##3187 : [{lq_tmp$x##3199 : a^"lq_tmp$x##3198" | $k_##3197[lq_tmp$x##3192:=check##a20T][VV##3196:=lq_tmp$x##3199]}] | len lq_tmp$x##3187 &lt;= len lq_tmp$x##3193}</span><span class='hs-varid'>takeWhile</span></a> <span class='hs-varid'>check</span> <span class='hs-varid'>xs</span><span class='hs-layout'>,</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##3226:[{lq_tmp$x##3232 : a^"lq_tmp$x##3231" | $k_##3230[VV##3229:=lq_tmp$x##3232][lq_tmp$x##3225:=check##a20T]}] -&gt; {lq_tmp$x##3220 : [{lq_tmp$x##3232 : a^"lq_tmp$x##3231" | $k_##3230[VV##3229:=lq_tmp$x##3232][lq_tmp$x##3225:=check##a20T]}] | len lq_tmp$x##3220 &lt;= len lq_tmp$x##3226}</span><span class='hs-varid'>dropWhile</span></a> <span class='hs-varid'>check</span> <span class='hs-varid'>xs</span><span class='hs-layout'>)</span>
<span class=hs-linenum>28: </span>    <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>{VV##3909 : [{VV##3902 : Add.Digit^"lq_tmp$x##3904" | $k_##3903}]^"lq_tmp$x##3911" | $k_##3910}</span><span class='hs-varid'>end</span></a><span class='hs-layout'>,</span> <a class=annot href="#"><span class=annottext>{VV##3968 : [{VV##3961 : Add.Digit^"lq_tmp$x##3963" | $k_##3962}]^"lq_tmp$x##3970" | $k_##3969}</span><span class='hs-varid'>start</span></a><span class='hs-layout'>)</span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##3313 : [{lq_tmp$x##3322 : Add.Digit^"lq_tmp$x##3321" | $k_##3320[VV##3319:=lq_tmp$x##3322][lq_tmp$x##3316:=digits##a20P]}] | len lq_tmp$x##3313 == len digits##a20P}</span><span class='hs-varid'>reverse</span></a> <span class='hs-varid'>digits</span> <span class='hs-varop'>|&gt;</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##3379:{lq_tmp$x##3359 : [{lq_tmp$x##3388 : Add.Digit^"lq_tmp$x##3387" "lq_tmp$x##3134" | $k_##3386[lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3385:=lq_tmp$x##3388]
                                                                                                  &amp;&amp; $k_##3133[VV##3132:=lq_tmp$x##3388][VV##3139:=lq_tmp$x##3359][check##a20T:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3356:=lq_tmp$x##3388]}]^"lq_tmp$x##3141" | $k_##3140[VV##3139:=lq_tmp$x##3359][check##a20T:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD]} -&gt; {lq_tmp$x##3373 : ({lq_tmp$x##3363 : [{lq_tmp$x##3388 : Add.Digit^"lq_tmp$x##3387" "lq_tmp$x##3145" | $k_##3386[lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3385:=lq_tmp$x##3388]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                &amp;&amp; $k_##3144[xs##a20U:=lq_tmp$x##3379][check##a20T:=lq_anf$##7205759403792805109##d2ZD][VV##3150:=lq_tmp$x##3363][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3174:=lq_tmp$x##3373][VV##3143:=lq_tmp$x##3388][lq_tmp$x##3360:=lq_tmp$x##3388]}]^"lq_tmp$x##3152" | $k_##3151[xs##a20U:=lq_tmp$x##3379][check##a20T:=lq_anf$##7205759403792805109##d2ZD][VV##3150:=lq_tmp$x##3363][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3174:=lq_tmp$x##3373]}, {lq_tmp$x##3367 : [{lq_tmp$x##3388 : Add.Digit^"lq_tmp$x##3387" "lq_tmp$x##3155" | $k_##3386[lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3385:=lq_tmp$x##3388]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 &amp;&amp; $k_##3154[xs##a20U:=lq_tmp$x##3379][VV##3153:=lq_tmp$x##3388][check##a20T:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3174:=lq_tmp$x##3373][VV##3160:=lq_tmp$x##3367][lq_tmp$x##3364:=lq_tmp$x##3388]}]^"lq_tmp$x##3162" | $k_##3161[xs##a20U:=lq_tmp$x##3379][check##a20T:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3174:=lq_tmp$x##3373][VV##3160:=lq_tmp$x##3367]})^"lq_tmp$x##3176" | $k_##3175[xs##a20U:=lq_tmp$x##3379][check##a20T:=lq_anf$##7205759403792805109##d2ZD][lq_tmp$x##3378:=lq_anf$##7205759403792805109##d2ZD][VV##3174:=lq_tmp$x##3373]}</span><span class='hs-varid'>takeAndDrop</span></a> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>(GHC.Classes.Eq Add.Digit)</span><span class='hs-varop'>==</span></a> <span class='hs-varid'>max</span><span class='hs-layout'>)</span> <span class='hs-varop'>|&gt;</span>
<span class=hs-linenum>29: </span>      <span class='hs-keyglyph'>\</span><span class='hs-layout'>(</span><span class='hs-varid'>xs</span><span class='hs-layout'>,</span> <span class='hs-varid'>ys</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>ds_d2XV:{VV##3629 : Add.Digit^"lq_tmp$x##3631" | $k_##3630} -&gt; {lq_tmp$x##3633 : Add.Digit^"lq_tmp$x##1026" | lq_tmp$x##3633 == min##a20M}</span><span class='hs-varid'>map</span></a> <span class='hs-layout'>(</span><span class='hs-keyglyph'>\</span><span class='hs-keyword'>_</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-varid'>min</span><span class='hs-layout'>)</span> <span class='hs-varid'>xs</span><span class='hs-layout'>,</span> <span class='hs-varid'>ys</span><span class='hs-layout'>)</span>
<span class=hs-linenum>30: </span>
</pre>
</body>
</html>